//
//  TabAndSplitAppAppDelegate.m
//  TabAndSplitApp
//
//  Created by jey on 11/3/11.
//  Copyright 2011 CSS CORP. All rights reserved.
//

#import "TabAndSplitAppAppDelegate.h"
#import "RootVC.h"
#import "DetailedVC.h"
#import "MySplitViewController.h"
#import "SecondViewController.h"

@implementation TabAndSplitAppAppDelegate

@synthesize window;
@synthesize tabBarController;


#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
    
    // Override point for customization after app launch.
	//create split view controller
	RootVC *rvc=[[RootVC alloc] init];
	rvc.title=@"Root VC";
	DetailedVC *dvc=[[DetailedVC alloc] init];
	dvc.title=@"Detailed VC";
	
	MySplitViewController *msc = [[MySplitViewController alloc] initwithLeftVC:rvc rightVC:dvc];
	rvc.detailedNavigationController=msc.rightController;
	msc.title=@"First";
	//create a temporary VC to show in second tab
	SecondViewController *vc2 = [[SecondViewController alloc] init];
	vc2.title=@"Second";
	
	//make an array containing these two view controllers
	NSArray *viewControllers = [NSArray arrayWithObjects:msc,vc2,nil];
	[tabBarController setViewControllers:viewControllers];
	tabBarController.view.backgroundColor=[UIColor blackColor];
	
	for(UITabBarItem*t in tabBarController.tabBar.items)
	{
		t.image=[UIImage imageNamed:@"icon.png"];
		t.badgeValue=[NSString stringWithFormat:@"%d",([tabBarController.tabBar.items indexOfObject:t]+1)];
	}
	
	//the views are retained their new owners, so we can release
	[rvc release];
	[dvc release];
	[msc release];
	[vc2 release];
	
    // Add the tab bar controller's current view as a subview of the window
    self.window.rootViewController=tabBarController;
	[self.window addSubview:tabBarController.view];
    [self.window makeKeyAndVisible];
    
    return YES;
}


- (void)applicationWillResignActive:(UIApplication *)application {
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive.
     */
}


- (void)applicationWillTerminate:(UIApplication *)application {
    /*
     Called when the application is about to terminate.
     */
}


#pragma mark -
#pragma mark UITabBarControllerDelegate methods

/*
 // Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
}
 */

/*
 // Optional UITabBarControllerDelegate method
- (void)tabBarController:(UITabBarController *)tabBarController didEndCustomizingViewControllers:(NSArray *)viewControllers changed:(BOOL)changed {
}
 */

#pragma mark -
#pragma mark Memory management

- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
    /*
     Free up as much memory as possible by purging cached data objects that can be recreated (or reloaded from disk) later.
     */
}


- (void)dealloc {
    [tabBarController release];
    [window release];
    [super dealloc];
}

@end

